RegionRedundancyStatus (Apache Geode 1.14.2)
Date: 2021-12-14

org.apache.geode.management.runtime

## Interface RegionRedundancyStatus

- All Superinterfaces:
    JsonSerializable, Serializable

      @Experimental
      public interface RegionRedundancyStatus
      extends JsonSerializable, Serializable

  Used to calculate and store a snapshot of the redundancy status for a partitioned region.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `RegionRedundancyStatus.RedundancyStatus` The redundancy status of the region used to create this object at time of creation.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getActualRedundancy()` Returns the number of redundant copies for all buckets in the region used to create this RegionRedundancyStatus, at the time of creation.
    `int` | `getConfiguredRedundancy()` Returns the configured redundancy level for the region used to create this RegionRedundancyStatus.
    `String` | `getRegionName()` Returns the name of the region used to create this RegionRedundancyStatus.
    `RegionRedundancyStatus.RedundancyStatus` | `getStatus()` Returns the `RegionRedundancyStatus.RedundancyStatus` for the region used to create this RegionRedundancyStatus at the time of creation.

- - ### Method Detail

    - #### getRegionName

          String getRegionName()

      Returns the name of the region used to create this RegionRedundancyStatus.
      Returns:
        The name of the region used to create this RegionRedundancyStatus.

    - #### getConfiguredRedundancy

          int getConfiguredRedundancy()

      Returns the configured redundancy level for the region used to create this RegionRedundancyStatus.
      Returns:
        The configured redundancy level for the region used to create this RegionRedundancyStatus.

    - #### getActualRedundancy

          int getActualRedundancy()

      Returns the number of redundant copies for all buckets in the region used to create this RegionRedundancyStatus, at the time of creation. If some buckets have fewer redundant copies than others, the lower number is returned.
      Returns:
        The number of redundant copies for all buckets in the region used to create this RegionRedundancyStatus, at the time of creation.

    - #### getStatus

          RegionRedundancyStatus.RedundancyStatus getStatus()

      Returns the `RegionRedundancyStatus.RedundancyStatus` for the region used to create this RegionRedundancyStatus at the time of creation.
      Returns:
        The `RegionRedundancyStatus.RedundancyStatus` for the region used to create this RegionRedundancyStatus.